"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.embedSmartLinksTestCollection = void 0;
var _inProductTesting = require("@atlaskit/in-product-testing");
var _delete = require("./delete");
var _edit = require("./edit");
var _insert = require("./insert");
var embedSmartLinksTestCollection = exports.embedSmartLinksTestCollection = function embedSmartLinksTestCollection(opts) {
  return new _inProductTesting.InProductTestCollection({
    title: '@atlaskit/editor-core -> Embed Smart Links, happy paths',
    testCases: [(0, _insert.switchToEmbedSmartLinkTestCase)(opts), (0, _edit.editEmbedSmartLinkTitleTestCase)(opts), (0, _edit.editEmbedSmartLinkUrlTestCase)(opts), (0, _delete.deleteEmbedSmartLinkTestCase)(opts)]
  });
};