"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ruleSharedStyles = void 0;
var _react = require("@emotion/react");
var _editorSharedStyles = require("@atlaskit/editor-shared-styles");
var _colors = require("@atlaskit/theme/colors");
// @see typography spreadsheet: https://docs.google.com/spreadsheets/d/1iYusRGCT4PoPfvxbJ8NrgjtfFgXLm5lpDWXzjua1W2E/edit#gid=93913128
var ruleSharedStyles = exports.ruleSharedStyles = function ruleSharedStyles() {
  return (0, _react.css)({
    '& hr': {
      border: 'none',
      backgroundColor: "var(--ds-border, ".concat(_colors.N30A, ")"),
      // eslint-disable-next-line @atlaskit/design-system/ensure-design-token-usage/preview
      margin: "".concat(_editorSharedStyles.akEditorLineHeight, "em 0"),
      height: '2px',
      borderRadius: '1px'
    }
  });
};