import { InProductTestCollection } from '@atlaskit/in-product-testing';
import { deleteInlineSmartLinkTestCase } from './delete';
import { editInlineSmartLinkTitleTestCase, editInlineSmartLinkUrlTestCase } from './edit';
import { insertInlineSmartLinkTestCase } from './insert';
import { unlinkInlineSmartLinkTestCase } from './unlink';
export var inlineSmartLinksTestCollection = function inlineSmartLinksTestCollection(opts) {
  return new InProductTestCollection({
    title: '@atlaskit/editor-core -> Inline Smart Links, happy paths',
    testCases: [insertInlineSmartLinkTestCase(opts), editInlineSmartLinkTitleTestCase(opts), editInlineSmartLinkUrlTestCase(opts), unlinkInlineSmartLinkTestCase(opts), deleteInlineSmartLinkTestCase(opts)]
  });
};