import type { Node as PMNode, Schema, Slice } from '@atlaskit/editor-prosemirror/model';
import type { EditorState } from '@atlaskit/editor-prosemirror/state';
type Range = {
    from: number;
    to: number;
};
export declare const canApplyAnnotationOnRange: (rangeSelection: Range, doc: PMNode, schema: Schema) => boolean;
export declare const getAnnotationIdsFromRange: (rangeSelection: Range, doc: PMNode, schema: Schema) => string[];
export declare function hasAnnotationMark(node: PMNode, state: EditorState): boolean;
export declare function containsAnyAnnotations(slice: Slice, state: EditorState): boolean;
export {};
