/** @jsx jsx */
import React from 'react';
import { jsx } from '@emotion/react';
type Props = {
    children: React.ReactNode;
    nodeType: string;
    showMacroInteractionDesignUpdates?: boolean;
};
/**
 * If inlineExtension, add zero width space to the end of the nodes and wrap with span;
 * Also if showMacroInteractionDesignUpdates is true, then add the inline-block style to account for the lozenge.
 * else wrap with a div (for multi bodied extensions)
 *
 * @param param0
 * @returns
 */
export declare const ExtensionNodeWrapper: ({ children, nodeType, showMacroInteractionDesignUpdates, }: Props) => jsx.JSX.Element;
export {};
