import React from 'react';
interface ErrorBoundaryProps {
    children?: React.ReactNode;
}
interface ErrorBoundaryState {
    missingIntlProviderInAncestry: boolean;
}
export declare const REACT_INTL_ERROR_MESSAGE = "<IntlProvider> needs to exist in the component ancestry";
export declare class IntlErrorBoundary extends React.Component<ErrorBoundaryProps, ErrorBoundaryState> {
    state: {
        missingIntlProviderInAncestry: boolean;
    };
    componentDidCatch(error: Error, errorInfo: React.ErrorInfo): void;
    render(): React.ReactNode;
}
export {};
