import type { RichMediaLayout } from '@atlaskit/adf-schema';
export declare const MEDIA_SINGLE_DEFAULT_MIN_PIXEL_WIDTH = 24;
export declare const MEDIA_SINGLE_VIDEO_MIN_PIXEL_WIDTH = 320;
export declare const MEDIA_SINGLE_SNAP_GAP = 3;
export declare const MEDIA_SINGLE_HIGHLIGHT_GAP = 10;
export declare const MEDIA_SINGLE_HANDLE_MARGIN = 12;
export declare const MEDIA_SINGLE_GUTTER_SIZE: number;
export declare const DEFAULT_IMAGE_WIDTH = 250;
export declare const DEFAULT_IMAGE_HEIGHT = 200;
export declare const MEDIA_SINGLE_RESIZE_THROTTLE_TIME = 100;
export declare enum Layout {
    FULL_WIDTH = "full-width",
    WIDE = "wide",
    CENTER = "center",
    ALIGN_START = "align-start",
    ALIGN_END = "align-end",
    WRAP_RIGHT = "wrap-right",
    WRAP_LEFT = "wrap-left"
}
export declare const wrappedLayouts: RichMediaLayout[];
export declare const DEFAULT_ROUNDING_INTERVAL = 0.5;
export declare const CAPTION_PLACEHOLDER_ID = "caption-placeholder";
