/** @jsx jsx */
import React from 'react';
import { jsx } from '@emotion/react';
import type { WrappedComponentProps } from 'react-intl-next';
type Props = {
    selected?: boolean;
    hasContent?: boolean;
    children?: React.ReactNode;
    dataAttributes?: {
        'data-renderer-start-pos': number;
    };
};
export declare class CaptionComponent extends React.Component<Props & WrappedComponentProps> {
    render(): jsx.JSX.Element;
}
declare const _default: React.FC<import("react-intl-next").WithIntlProps<Props & WrappedComponentProps>> & {
    WrappedComponent: React.ComponentType<Props & WrappedComponentProps>;
};
export default _default;
